## org.eclipse.datatools.modelbase.sql.datatypes
Interface RowDataType

All Superinterfaces:
  ConstructedDataType, DataType, SQLDataType, SQLObject

All Known Implementing Classes:
  RowDataTypeImpl

public interface RowDataType
extends ConstructedDataType

A representation of the model object 'Row Data Type'. 4.1 Data types A data type is a set of representable values. Every representable value belongs to at least one data type and some belong to several data types. [...] A constructed type is specified using one of SQL's data type constructors, ARRAY , MULTISET , REF , and ROW . A constructed type is either an array type, a multiset type, a reference type, or a row type, according to whether it is specified with ARRAY , MULTISET , REF , or ROW , respectively. Array types and multiset types are known generically as collection types.

The following features are supported:

- `Fields`

See Also:
  `SQLDataTypesPackage.getRowDataType()`

Method Summary
`EList` `getFields()` Returns the value of the 'Fields' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getFields

    public EList getFields()

  Returns the value of the 'Fields' containment reference list. The list contents are of type `Field`.

  If the meaning of the 'Fields' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fields' containment reference list.
  See Also:
    `SQLDataTypesPackage.getRowDataType_Fields()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.